#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CIS_Microdati_2008_ESEMPIO_STRUTTURA_FILE.txt", sep="")
Ril_CIS_2008<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_CIS_2008, "label") <- c(
"Codice identificativo",
"Paese di residenza dell'impresa",
"attivit economica",
"Appartenenza ad un gruppo industriale",
"Sede dell'impresa capogruppo",
"Ambito di mercato: regionale",
"Ambito di mercato: nazionale",
"Ambito di mercato: europeo",
"Ambito di mercato: altro",
"Mercato con il maggior peso in termini di fatturato",
"Innovazioni di prodotto nel triennio",
"Innovazioni di servizio nel triennio",
"Chi ha sviluppato le innovazioni di prodotto e/o servizio",
"Innovazioni di prodotto e/o servizio originali per il mercato di riferimento",
"Innovazioni di prodotto e/o servizio nuovi solo per l'impresa",
"Quota di fatturato 2008 derivante da prodotti e/o servizi originali per il mercato di riferimento",
"Quota di fatturato 2008 derivante da prodotti  e/o servizi nuovi solo per l'impresa",
"Quota di fatturato 2008 derivante da prodotti  e/o servizi non modificati",
"Innovazioni del processo produttivo nel triennio",
"Innovazioni nei sistemi di logistica e metodi di distribuzione nel triennio",
"Altre innovazioni di processo",
"Chi ha sviluppato le innovazioni di processo",
"Processo nuovo per il mercato di riferimento dellimpresa",
"Attivit di innovazione abbandonate alla fine del 2008",
"Attivit di innovazione ancora in corso alla fine del 2004",
"Attivit di R&S svolta allinterno dellimpresa",
"Modalit di svolgimento delle attivit di R&S nel triennio",
"Acquisizione di servizi di R&S dall'esterno",
"Acquisizione di macchinari e attrezzature per l'innovazione",
"Acquisizione di tecnologia non incorporata in beni strumentali",
"Attivit di formazione per l'innovazione",
"Attivit di marketing di prodotti innovativi",
" Attivit di design, progettazione  industriale ed altre attivit preliminari alla produzione  ",
"Spesa sostenuta per attivit di R&S svolta allinterno dellimpresa nel 2008",
"Spesa sostenuta per l'acquisizione di servizi di R&S nel 2008",
"Spesa sostenuta per l'acquisizione di macchinari e attrezzature nel 2008",
"Spesa sostenuta per l'acquisizione di tecnologia non incorporata in beni strumentali nel 2008",
"Spesa sostenuta per le attivit di formazione nel 2008",
" Spesa sostenuta per il design, progettazione  industriale e altre attivit preliminari alla produzione nel 2008 ",
"Spesa sostenuta per il marketing di prodotti innovativi nel 2008",
"Spesa totale per l'innovazione sostenuta nel 2008",
"Sostegno pubblico all'innovazione da amministrazioni pubbliche regionali e locali",
"Sostegno pubblico all'innovazione da amministrazioni centrali dello Stato",
"Sostegno pubblico all'innovazione dallUnione Europea",
"Sostegno pubblico all'innovazione dai Programmi Quadro Europeo per la Ricerca e lo Sviluppo Tecnologico",
"Fonti di informazione dell'innovazione: fonti interne",
"Fonti di informazione dell'innovazione: fornitori",
"Fonti di informazione dell'innovazione: clienti",
"Fonti di informazione dell'innovazione: concorrenti",
" Fonti di informazione dell'innovazione: consulenti, istituti di ricerca o laboratori privati ",
"Fonti di informazione dell'innovazione: universit",
"Fonti di informazione dell'innovazione: istituti di ricerca pubblici",
" Fonti di informazione dell'innovazione: conferenze, mostre, fiere ",
"Fonti di informazione dell'innovazione: riviste scientifiche e altre pubblicazioni",
"Fonti di informazione dell'innovazione: associazioni di categoria",
"Accordi di cooperazione per l'innovazione",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo in Italia",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Europa",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti negli USA",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Cina o India",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con fornitori in Italia",
"Accordi di cooperazione per l'innovazione con fornitori operanti in Europa",
"Accordi di cooperazione per l'innovazione con fornitori operanti in USA",
"Accordi di cooperazione per l'innovazione con fornitori operanti in Cina o India",
"Accordi di cooperazione per l'innovazione con fornitori operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con clienti in Italia",
"Accordi di cooperazione per l'innovazione con clienti operanti in Europa",
"Accordi di cooperazione per l'innovazione con clienti operanti in USA",
"Accordi di cooperazione per l'innovazione con clienti operanti in in Cina o India",
"Accordi di cooperazione per l'innovazione con clienti operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con imprese concorrenti in Italia",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in Europa",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in USA",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in in Cina o India",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in altri paesi",
" Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Italia ",
" Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Europa ",
" Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in USA ",
" Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in in Cina o India ",
" Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in altri paesi  ",
"Accordi di cooperazione per l'innovazione con Universit in Italia",
"Accordi di cooperazione per l'innovazione con Universit operanti in Europa",
"Accordi di cooperazione per l'innovazione con Universit operanti in USA",
"Accordi di cooperazione per l'innovazione con Universit operanti in in Cina o India",
"Accordi di cooperazione per l'innovazione con Universit operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici in Italia",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in Europea",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in USA",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in in Cina o India",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in altri paesi",
"Tipologia di impresa o istituzione giudicata rilevante ai fini delle attivit di cooperazione",
"Aumento nel numero di prodotti e servizi offerti alla clientela",
" Sostituzione di prodotti, servizi e processi non pi competitivi ",
"Accesso a nuovi mercati",
"Aumento della propria quota di mercato",
"Miglioramento della qualit dei propri prodotti e servizi",
"Maggiore flessibilit nella produzione di beni e servizi",
"Maggiore capacit di produzione di beni e servizi",
"Migliorare la salute e sicurezza del lavoro",
"Riduzione del costo del lavoro per unit di prodotto",
"Nuove pratiche di organizzazione dellimpresa",
"Nuove metodi di organizzazione del lavoro",
"Nuove strategie organizzative nelle relazioni pubbliche",
"Riduzione dei tempi di risposta alle esigenze di clienti e fornitori",
"Migliorate capacit di produzione di beni e servizi",
"Miglioramento della qualit dei propri prodotti e servizi",
"Riduzione dei costi per unit di prodotto",
"Maggiore comunicazione o condivisione di informazioni allinterno dellimpresa o con altre imprese o istituzioni",
"Modifiche significative nelle caratteristiche estetiche dei prodotti o nel confezionamento",
"Nuovi mezzi o tecniche di promozione pubblicitaria",
"Nuovi pratiche di commercializzazione dei prodotti e/o servizi",
"Nuove politiche dei prezzi",
"Aumento o mantenimento della propria quota di mercato",
"Introduzione di prodotti e servizi per nuove fasce di consumatori",
"Introduzione di prodotti e servizi per nuovi mercati geografici",
"Riduzione delluso di materie prime e semilavorati per unit di prodotto",
"Riduzione delluso di energia per unit di prodotto in fase di produzione",
"Riduzione delle emissioni industriali di CO2 in fase di produzione",
"Sostituzione di materiali tradizionali con materiali eco-compatibili",
" Riduzione dellinquinamento atmosferico, idrico, sonoro e del suolo in fase di produzione ",
"Riciclaggio dei materiali e dei rifiuti e riciclo dellacqua",
"Riduzione dei consumi energetici in fase di consumo/utilizzazione di beni e servizi",
" Riduzione dellinquinamento atmosferico, idrico, sonoro e del suolo in fase di consumo/utilizzazione di beni e servizi   ",
"Miglioramento nelle pratiche di riciclo dei prodotti a fine vita in fase di consumo/utilizzazione di beni e servizi",
"Presenza di una normativa in materia ambientale e/o di una tassazione vigente sulle emissioni inquinanti",
"Prospettive di applicazione futura di una normativa in materia ambientale e/o di  una tassazione sulle emissioni inquinanti",
" Disponibilit di agevolazioni, contributi e altri incentivi finanziari a favore delle innovazioni eco-compatibili ",
"Esistenza di una domanda corrente o attesa di innovazioni eco-compatibili",
"Esistenza di accordi volontari o di altri processi di negoziazione volontaria per la promozione e la  diffusione di buone pratiche in campo ambientale allinterno del proprio settore economico",
"Azioni finalizzate a un controllo periodico e a un intervento sullimpatto ambientale delle proprie attivit",
"Fatturato 2006",
"Fatturato 2008",
"Classe di addetti 2006",
"Classe di addetti 2008",
"Peso finale")

nuts_Fact <- factor(Ril_CIS_2008$nuts, 
levels=c(IT), 
labels=c("Italia")) 


nace_Fact <- factor(Ril_CIS_2008$nace, 
levels=c(B, 
10, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20, 
21, 
22, 
23, 
24, 
25, 
26, 
27, 
28, 
29, 
30, 
31, 
32, 
33, 
35, 
36, 
37, 
41, 
42, 
43, 
45, 
46, 
47, 
49, 
50, 
51, 
52, 
53, 
55, 
56, 
58, 
59, 
61, 
62, 
63, 
64, 
65, 
66, 
68, 
71, 
72, 
77, 
11-12, 
38-39), 
labels=c("ESTRAZIONE DI CARBONE (ESCLUSA TORBA)", 
"INDUSTRIE ALIMENTARI", 
"INDUSTRIE TESSILI", 
"CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA", 
"FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI", 
"INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO", 
"FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA", 
"STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI", 
"FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO", 
"FABBRICAZIONE DI PRODOTTI CHIMICI", 
"FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI", 
"FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE", 
"FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI", 
"METALLURGIA", 
"FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)", 
"FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI", 
"FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE", 
"FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA", 
"FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI", 
"FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO", 
"FABBRICAZIONE DI MOBILI", 
"ALTRE INDUSTRIE MANIFATTURIERE", 
"RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE", 
"FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA", 
"RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA", 
"GESTIONE DELLE RETI FOGNARIE", 
"COSTRUZIONE DI EDIFICI", 
"INGEGNERIA CIVILE", 
"LAVORI DI COSTRUZIONE SPECIALIZZATI", 
"COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI", 
"COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE", 
"TRASPORTO MARITTIMO E PER VIE D'ACQUA", 
"TRASPORTO AEREO", 
"MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI", 
"SERVIZI POSTALI E ATTIVIT DI CORRIERE", 
"ALLOGGIO", 
"ATTIVIT DEI SERVIZI DI RISTORAZIONE", 
"ATTIVIT EDITORIALI", 
"ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE", 
"TELECOMUNICAZIONI", 
"PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE", 
"ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI", 
"ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)", 
"ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)", 
"ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE", 
"ATTIVIT IMMOBILIARI", 
"ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE", 
"RICERCA SCIENTIFICA E SVILUPPO", 
"ATTIVIT DI NOLEGGIO E LEASING OPERATIVO", 
"INDUSTRIA DELLE BEVANDE E DEL TABACCO", 
"ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI; ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI")) 


GP_Fact <- factor(Ril_CIS_2008$GP, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


HO_Fact <- factor(Ril_CIS_2008$HO, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Enterprise does not belong to a group", 
"Home country (Italy)", 
"Europe + Candidate Countries + EFTA countries", 
"Rest of the world"), exclude=NULL) 


LARMAR_Fact <- factor(Ril_CIS_2008$LARMAR, 
levels=c("A", 
"B", 
"C", 
"D"), 
labels=c("Regione nella quale limpresa ha la sua sede operativa", 
"Altre regioni del territorio nazionale (differenti da quella in cui  ubicata la sede operativa)", 
"Stati membri UE, paesi candidati UE, paesi EFTA", 
"Altri paesi")) 


INPDTW_Fact <- factor(Ril_CIS_2008$INPDTW, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("Assente se l'impresa non ha introdotto innovazioni di prodotto nel triennio", 
"Prevalentemente limpresa stessa o imprese dello stesso gruppo", 
"Prevalentemente limpresa stessa in collaborazione con altre imprese o istituti di ricerca", 
"Prevalentemente altre imprese o istituti di ricerca"), exclude=NULL) 


NEWMKT_Fact <- factor(Ril_CIS_2008$NEWMKT, 
levels=c(NA, 
0, 
1), 
labels=c("Assente se l'impresa non ha introdotto innovazioni di prodotto nel triennio", 
"No", 
"Si"), exclude=NULL) 


INPSPD_Fact <- factor(Ril_CIS_2008$INPSPD, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


INPCSW_Fact <- factor(Ril_CIS_2008$INPCSW, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("Assente se l'impresa non ha introdotto innovazioni di processo nel triennio", 
"Prevalentemente limpresa stessa o imprese dello stesso gruppo", 
"Prevalentemente limpresa stessa in collaborazione con altre imprese o istituzioni", 
"Prevalentemente altre imprese o istituzioni"), exclude=NULL) 


INPSNM_Fact <- factor(Ril_CIS_2008$INPSNM, 
levels=c(NA, 
0, 
1, 
2), 
labels=c("Assente se l'impresa non ha introdotto innovazioni di processo nel triennio", 
"No", 
"Si", 
"Non so"), exclude=NULL) 


RRDIN_Fact <- factor(Ril_CIS_2008$RRDIN, 
levels=c(NA, 
0, 
1), 
labels=c("Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008", 
"No", 
"Si"), exclude=NULL) 


RDENG_Fact <- factor(Ril_CIS_2008$RDENG, 
levels=c(NA, 
1, 
2), 
labels=c("Assente se l'impresa non ha svolto attivit di R&S nel triennio", 
"Sistematica", 
"Occasionale"), exclude=NULL) 


funloc_Fact <- factor(Ril_CIS_2008$funloc, 
levels=c(NA, 
0, 
1), 
labels=c("Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008", 
"No", 
"Si"), exclude=NULL) 


SENTG_Fact <- factor(Ril_CIS_2008$SENTG, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio 2002-2004 o non aveva in corso attivit di innovazione tecnologica alla fine del 2008", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


co11_Fact <- factor(Ril_CIS_2008$co11, 
levels=c(NA, 
0, 
1), 
labels=c("Assente se l'impresa non ha svolto cooperazione nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008", 
"No", 
"Si"), exclude=NULL) 


co43_Fact <- factor(Ril_CIS_2008$co43, 
levels=c(NA, 
0, 
1), 
labels=c("Assente se l'impresa non ha svolto cooperazione nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008", 
"No", 
"Si"), exclude=NULL) 


PMOS_Fact <- factor(Ril_CIS_2008$PMOS, 
levels=c("A", 
"B", 
"C", 
"D", 
"E", 
"F", 
"G"), 
labels=c("Altre imprese dello stesso gruppo", 
"Fornitori", 
"Clienti", 
"Imprese concorrenti", 
"Consulenti, istituti di ricerca e laboratori privati", 
"Universit o altri istituti di istruzione superiore", 
"Istituti di ricerca pubblici")) 


ORANGE_Fact <- factor(Ril_CIS_2008$ORANGE, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio 2002-2004 o non aveva in corso attivit di innovazione tecnologica alla fine del 2008", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


ORGBUP_Fact <- factor(Ril_CIS_2008$ORGBUP, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


ORORED_Fact <- factor(Ril_CIS_2008$ORORED, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("Assente se l'impresa non ha introdotto innovazioni organizzative nel triennio", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


MKTDGP_Fact <- factor(Ril_CIS_2008$MKTDGP, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


OMKTS_Fact <- factor(Ril_CIS_2008$OMKTS, 
levels=c(NA, 
0, 
1, 
2, 
3), 
labels=c("Assente se l'impresa non ha introdotto innovazioni di marketing nel triennio", 
"Nullo", 
"Basso", 
"Medio", 
"Alto"), exclude=NULL) 


ECOMAT_Fact <- factor(Ril_CIS_2008$ECOMAT, 
levels=c(NA, 
0, 
1), 
labels=c("Non risponde", 
"No", 
"Si"), exclude=NULL) 


ENVID_Fact <- factor(Ril_CIS_2008$ENVID, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("Non risponde", 
"S, le azioni sono state implementate prima di gennaio 2006", 
"S, le azioni sono state implementate o significativamente migliorate dopo gennaio 2006", 
"No"), exclude=NULL) 

save.image (file="Ril_CIS_2008.RData")
